aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJakob Unterwurzacher2021-09-10 12:09:30 +0200
committerJakob Unterwurzacher2021-09-10 12:09:30 +0200
commitc974116322f057a36ffb0b2ec0338b7f60872773 (patch)
tree8df6392ae58e13f525c660d50f6396552bc500a5
parentc50d67f1039b8db90de441a3907994adb21668e8 (diff)
test.bash: call out if build-without-openssl.bash failed
This can print out compile errors that are hard to understand if you are not aware that it builds without_openssl.
-rwxr-xr-xtest.bash5
1 files changed, 4 insertions, 1 deletions
diff --git a/test.bash b/test.bash
index b0faf68..efc6456 100755
--- a/test.bash
+++ b/test.bash
@@ -39,7 +39,10 @@ fi
# Clean up dangling filesystems and don't exit if we found some
unmount_leftovers || true
-./build-without-openssl.bash
+./build-without-openssl.bash || {
+ echo "$MYNAME: build-without-openssl.bash failed"
+ exit 1
+}
# Don't build with openssl if we were passed "-tags without_openssl"
if [[ "$*" != *without_openssl* ]] ; then
./build.bash